------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------





package Config is


   pragma Elaborate_Body;



   Debug_Level : constant Natural := 1;  

   Max_Processors : constant Natural := 10;  
   Max_Tasks      : constant Natural := 100;  
   Max_Messages   : constant Natural := 50;  
   Max_Buffers    : constant Natural := 30;  

   Max_Scheduling_Period : constant Natural := 500;  


   type Priority_Range is range 1 .. 255; 
   Low_Priority  : constant Priority_Range := Priority_Range'First;  
   High_Priority : constant Priority_Range := Priority_Range'Last;  


   type Languages is 
         (Francais, 
          English); 
   Current_Language : Languages := English;  

   Max_Offset : constant Natural := 3;  

   type Offset_Range is new Natural range 1 .. Max_Offset; 



end Config;
