------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Project;
use Project;
with Systems;

with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Gtk.Widget;
use Gtk.Widget;

with Ihm_Tools;
use Ihm_Tools;

with Config;
use Config;

with Translate;
use Translate;

package body Open_File_Selection_Pkg.Callbacks is

   ---------------------------------------
   -- On_Open_Filesel_Ok_Button_Clicked --
   ---------------------------------------

   procedure On_Open_Filesel_Ok_Button_Clicked (
         Object : access Gtk_Button_Record'Class ) is 
   begin
      Hide (Open_File_Selection);

      File_Name := To_Unbounded_String(Get_Filename (Open_File_Selection));
      Systems.Read_From_File(Sys, File_Name);
      Current_Directory:=File_Name;



   exception
      when others =>
         begin
            Show_Message_Box(Lb_Can_Not_Open(Current_Language));
         end;

   end On_Open_Filesel_Ok_Button_Clicked;

   -------------------------------------------
   -- On_Open_Filesel_Cancel_Button_Clicked --
   -------------------------------------------

   procedure On_Open_Filesel_Cancel_Button_Clicked (
         Object : access Gtk_Button_Record'Class ) is 
   begin
      Hide (Get_Toplevel (Gtk_Widget (Object)));
   end On_Open_Filesel_Cancel_Button_Clicked;



end Open_File_Selection_Pkg.Callbacks;
