------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Window;
use Gtk.Window;
with Gtk.Table;
use Gtk.Table;
with Gtk.Label;
use Gtk.Label;
with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Separator;
use Gtk.Separator;
with Gtk.Button;
use Gtk.Button;
with Gtk.Box;
use Gtk.Box;
with Gtk.Scrolled_Window;
use Gtk.Scrolled_Window;
with Gtk.Option_Menu;
use Gtk.Option_Menu;
with Gtk.Widget;
use Gtk.Widget;


with Task_Set;
use Task_Set;
use Task_Set.Generic_Task_Set;
with Processor_Set;
use Processor_Set;
use Processor_Set.Generic_Processor_Set;



package Update_Tasks_Set_Pkg is


   type Update_Tasks_Set_Record is new Gtk_Window_Record with private; 
   type Update_Tasks_Set_Access is access all Update_Tasks_Set_Record'Class; 

   procedure Gtk_New (
         Update_Tasks_Set :    out Update_Tasks_Set_Access ); 
   procedure Initialize (
         Update_Tasks_Set : access Update_Tasks_Set_Record'Class ); 

   Update_Tasks_Set : Update_Tasks_Set_Access;  


private

   type Task_Widget is 
      record 
         Name                 : Gtk_Entry;  
         Processor_Menu       : Gtk_Option_Menu;  
         Clist_Processor_Menu : Widget_Slist.Gslist;  
         Start_Time           : Gtk_Entry;  
         Capacity             : Gtk_Entry;  
         Period               : Gtk_Entry;  
         Deadline             : Gtk_Entry;  
         Jitter               : Gtk_Entry;  
         Priority             : Gtk_Entry;  
         Offset_Val1          : Gtk_Entry;  
         Offset_Val2          : Gtk_Entry;  
         Offset_Val3          : Gtk_Entry;  
         Offset_Act1          : Gtk_Entry;  
         Offset_Act2          : Gtk_Entry;  
         Offset_Act3          : Gtk_Entry;  
      end record; 

   type Task_Widget_Table is array (Tasks_Range) of Task_Widget; 

   type Update_Tasks_Set_Record is new Gtk_Window_Record with 
      record 
         Scroll     : Gtk_Scrolled_Window;  
         Table      : Gtk_Table;  
         Name       : Gtk_Label;  
         Processor  : Gtk_Label;  
         Start_Time : Gtk_Label;  
         Capacity   : Gtk_Label;  
         Period     : Gtk_Label;  
         Deadline   : Gtk_Label;  
         Jitter     : Gtk_Label;  
         Priority   : Gtk_Label;  
         Offset_Act : Gtk_Label;  
         Offset_Val : Gtk_Label;  

         Entries : Task_Widget_Table;  

         Hseparator : Gtk_Hseparator;  
         Vseparator : Gtk_Vseparator;  
         Hbox       : Gtk_Hbox;  

         Ok_Button     : Gtk_Button;  
         Cancel_Button : Gtk_Button;  
      end record; 

end Update_Tasks_Set_Pkg;
