------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Text_Io;
use Text_Io;

with Tasks;
use Tasks;


with Time_Units;
use Time_Units;
use Time_Units.A_Time_Unit;


with Unbounded_Strings;
use Unbounded_Strings;


package body Buffers is


   procedure Put (
         B : in     Buffer_Rule ) is 
   begin
      Put(B.The_Rule'Img & "/" & B.Size'Img);
   end Put;

   procedure Initialize (
         B :    out Buffer_Rule ) is 
   begin
      B.The_Rule:=Norule;
      B.Size:=0;
   end Initialize;


   procedure Initialize (
         A_Buff : in out Buffer ) is 
   begin
      A_Buff.Location:=Empty_String;
      A_Buff.Name:=Empty_String;
      A_Buff.Size:=0;
      Initialize(A_Buff.Rules);
   end Initialize;


   procedure Finalize (
         A_Buff : in out Buffer ) is 
   begin
      null;
   end Finalize;


   procedure Adjust (
         A_Buff : in out Buffer ) is 
   begin
      null;
   end Adjust;


   procedure Dispatched_Dump (
         My_Buff : in     Buffer ) is 
   begin
      Put("Buffer name : " & To_String(My_Buff.Name));
      Put(" ; Location : " & To_String(My_Buff.Location));
      Put(" ; Size : " & My_Buff.Size'Img);
      New_Line;
      Dump(My_Buff.Rules);
      New_Line;
   end Dispatched_Dump;





end Buffers;





