------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Text_Io;
use Text_Io;

package body Messages is


   --------------------------------------------------

   procedure Initialize (
         A_Message : in out Generic_Message ) is 
   begin
      null;
   end Initialize;


   procedure Finalize (
         A_Message : in out Generic_Message ) is 
   begin
      null;
   end Finalize;


   procedure Adjust (
         A_Message : in out Generic_Message ) is 
   begin
      null;
   end Adjust;


   procedure Initialize (
         A_Message : in out Aperiodic_Message ) is 
   begin
      A_Message.Message_Type:=Aperiodic_Type;
   end Initialize;


   procedure Finalize (
         A_Message : in out Aperiodic_Message ) is 
   begin
      null;
   end Finalize;


   procedure Adjust (
         A_Message : in out Aperiodic_Message ) is 
   begin
      null;
   end Adjust;

   procedure Initialize (
         A_Message : in out Periodic_Message ) is 
   begin
      A_Message.Message_Type:=Periodic_Type;
   end Initialize;


   procedure Finalize (
         A_Message : in out Periodic_Message ) is 
   begin
      null;
   end Finalize;


   procedure Adjust (
         A_Message : in out Periodic_Message ) is 
   begin
      null;
   end Adjust;

   --------------------------------------------------

   procedure Dump (
         My_Message : in     Generic_Message'Class ) is 
   begin
      Put ("Name : " & To_String(My_Message.Name));
      Put (" ; Type : " & My_Message.Message_Type'Img);
      Put (" ; Size : " & My_Message.Size'Img & " ; " );
      Put ("Deadline : " & My_Message.Deadline'Img & " ; " );

      Dispatched_Dump(My_Message);
   end Dump;


   procedure Dispatched_Dump (
         My_Message : in     Periodic_Message ) is 
   begin
      Put ("Period : " & My_Message.Period'Img & " ; " );
      Put ("Jitter : " & My_Message.Jitter'Img & " ; " );
   end Dispatched_Dump;


   procedure Dispatched_Dump (
         My_Message : in     Aperiodic_Message ) is 
   begin
      null;
   end Dispatched_Dump;








end Messages;
