------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Config;
use Config;

with Text_Io;
use Text_Io;


package body Offsets is


   procedure Initialize (
         My_Offset :    out Offset_Table ) is 
   begin
      for I in Offset_Range loop
         Initialize(My_Offset(I));
      end loop;
   end Initialize;


   procedure Initialize (
         My_Offset :    out Offset_Type ) is 
   begin
      My_Offset.Value:=0;
      My_Offset.Activation:=0;
   end Initialize;



   procedure Dump (
         My_Offset : Offset_Type ) is 
   begin
      Put("  value = " & My_Offset.Value'Img);
      Put_Line("  ;activation = " & My_Offset.Activation'Img);
   end Dump;



   procedure Dump (
         My_Offset : Offset_Table ) is 
   begin
      Put_Line("Offsets : ");
      for I in Offset_Range loop
         Dump(My_Offset(I));
      end loop;
      New_Line;
   end Dump;






end Offsets;

