------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Config;
with Task_Set;
use Task_Set;
with Scheduler;



package Scheduler.Posix4 is


   type Posix4_Scheduler is new Generic_Scheduler with null record; 

   procedure Initialize (
         A_Scheduler : in out Posix4_Scheduler ); 

   procedure Finalize (
         A_Scheduler : in out Posix4_Scheduler ); 

   procedure Adjust (
         A_Scheduler : in out Posix4_Scheduler ); 


   procedure Build_Scheduling_Sequence (
         My_Scheduler : in     Posix4_Scheduler;   
         My_Tasks     : in     Tasks_Set;          
         Result       :    out Scheduling_Sequence ); 


end Scheduler.Posix4 ;


