------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------






with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Task_Set;
use Task_Set;
use Task_Set.Generic_Task_Set;


with Scheduler;



package Scheduler.Rm is


   type Rm_Scheduler is new Generic_Scheduler with private; 


   procedure Initialize (
         A_Scheduler : in out Rm_Scheduler ); 

   procedure Finalize (
         A_Scheduler : in out Rm_Scheduler ); 

   procedure Adjust (
         A_Scheduler : in out Rm_Scheduler ); 



   procedure Set_Priority_According_To_Rm (
         My_Scheduler   : in     Rm_Scheduler;    
         My_Tasks       : in out Tasks_Set;       
         Processor_Name : in     Unbounded_String ); 


function dispatched_build_tcb(
         My_Scheduler : in     rm_Scheduler;
        a_task : task_ptr)
        return tcb_ptr;

procedure dispatched_check_before_scheduling(
         My_Scheduler : in     rm_Scheduler;
         My_Tasks       : in Tasks_Set;       
         Processor_Name : in     Unbounded_String 
        );

procedure dispatched_do_election ( 
         My_Scheduler : in     rm_Scheduler;
     	A_tcb : in tcb_table;  
 at_time : natural;
                elected : in out tasks_range;
                no_task : in out boolean);


   procedure Dispatched_Reset (
         A_Scheduler : in out Rm_Scheduler ); 



   procedure Dispatched_Response_Time (
         My_Scheduler   : in     Rm_Scheduler;     
         My_Tasks       : in out Tasks_Set;        
         Processor_Name : in     Unbounded_String; 
         Msg            : in out Unbounded_String; 
         Response_Time  :    out Response_Table    ); 

   procedure Dispatched_Bound_On_Processor_Utilization (
         My_Scheduler   : in     Rm_Scheduler;     
         My_Tasks       : in     Tasks_Set;        
         Processor_Name : in     Unbounded_String; 
         Result         : in out Double;           
         Msg            : in out Unbounded_String  ); 



private

   type Rm_Scheduler is new Generic_Scheduler with null record; 


end Scheduler.Rm ;


