------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------





with Text_Io;
use Text_Io;

package body Scheduling_Sequences is



   procedure Dump (
         Result : in     Scheduling_Sequence ) is 
   begin
      Put_Line ("Number of preemption : " & Result.Number_Of_Preemption'
         Img);
      Put_Line ("Number of time unit  : " & Result.Number_Of_Time_Unit'
         Img);
      for I in 0 .. (Result.Number_Of_Time_Unit - 1) loop
         Dump(Result.Scheduled(I));
      end loop;
      New_Line;

   end Dump;


   procedure Reset (
         Sched : in out Scheduling_Sequence ) is 
   begin
      Sched.Number_Of_Preemption:=0;
      Sched.Number_Of_Time_Unit:=0;
   end Reset;


end Scheduling_Sequences;

