------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------





with Io_Definitions;
use Io_Definitions;

with Network;
use Network;



package body Systems is


   procedure Read_From_File (
         A_System  : in out System;          
         File_Name : in     Unbounded_String ) is 

   begin

      Read_From_File(A_System.Tasks, File_Name & ".tsk" );
      --      Read_From_File(A_System.Messages, File_Name & ".msg" );
      --      Read_From_File(A_System.buffs, File_Name & ".buff" );
      --      Read_From_File(A_System.Dependencies, A_System.Tasks, File_Name &
      --                     ".dep");
      Read_From_File(A_System.Processors, File_Name & ".proc" );
   end Read_From_File;


   procedure Write_To_File (
         A_System  : in     System;          
         File_Name : in     Unbounded_String ) is 

   begin


      Write_To_File(A_System.Tasks, File_Name & ".tsk",
         Save_In_New_File );
      --      Write_To_File(A_System.Messages, File_Name & ".msg",
      --                    Save_In_New_File );
      --      Write_To_File(A_System.buffs, File_Name & ".buffs",
      --                    Save_In_New_File );
      --      Write_To_File(A_System.Dependencies, File_Name & ".dep",
      --                    Save_In_New_File );
      Write_To_File(A_System.Processors, File_Name & ".proc",
         Save_In_New_File );
   end Write_To_File;


   procedure Dump (
         A_System : in     System ) is 
   begin
      -- Dump(A_System.Network.all);
      Dump(A_System.Tasks);
      -- Dump(A_System.buffs);
      -- Dump(A_System.Messages);
      --      Dump(A_System.Dependencies);
      Dump(A_System.Processors);

   end Dump;



   procedure Reset (
         A_System : in out System ) is 
   begin
      A_System.Network:= null;
      Reset(A_System.Tasks);
      -- Reset(A_System.Messages);
      --      Reset(A_System.Dependencies);
      --      Reset(A_System.buffs);
      Reset(A_System.Processors);
   end Reset;



end Systems;


