------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Text_Io;
use Text_Io;


package body Tasks is


   --------------------------------------------------

   procedure Initialize (
         A_Task : in out Generic_Task ) is 
   begin
      Initialize(A_Task.Offset);
   end Initialize;


   procedure Finalize (
         A_Task : in out Generic_Task ) is 
   begin
      null;
   end Finalize;


   procedure Adjust (
         A_Task : in out Generic_Task ) is 
   begin
      null;
   end Adjust;


   procedure Initialize (
         A_Task : in out Aperiodic_Task ) is 
   begin
      A_Task.Task_Type:=Aperiodic_Type;
   end Initialize;


   procedure Finalize (
         A_Task : in out Aperiodic_Task ) is 
   begin
      null;
   end Finalize;


   procedure Adjust (
         A_Task : in out Aperiodic_Task ) is 
   begin
      null;
   end Adjust;

   procedure Initialize (
         A_Task : in out Periodic_Task ) is 
   begin
      A_Task.Task_Type:=Periodic_Type;
   end Initialize;


   procedure Finalize (
         A_Task : in out Periodic_Task ) is 
   begin
      null;
   end Finalize;


   procedure Adjust (
         A_Task : in out Periodic_Task ) is 
   begin
      null;
   end Adjust;

   --------------------------------------------------

   procedure Dump (
         My_Task : in     Generic_Task'Class ) is 
   begin
      Put ("Name : " & To_String(My_Task.Name));
      Put (" ; Processor : " & To_String(My_Task.Location));
      Put (" ; Type : " & My_Task.Task_Type'Img);
      Put (" ; Capacity : " &
         My_Task.Capacity'Img & " ; Start time : " & My_Task.Start_Time'
         Img & " ; ");
      Put ("Deadline : " & My_Task.Deadline'Img & " ; " );
      Put ("Priority : " & My_Task.Priority'Img & " ; " );
      Put ("Blocking time : " & My_Task.Blocking_Time'Img & " ; " );
      Dump(My_Task.Offset);

      Dispatched_Dump(My_Task);
   end Dump;


   procedure Dispatched_Dump (
         My_Task : in     Periodic_Task ) is 
   begin
      Put ("Period : " & My_Task.Period'Img & " ; " );
      Put ("Jitter : " & My_Task.Jitter'Img);
   end Dispatched_Dump;


   procedure Dispatched_Dump (
         My_Task : in     Aperiodic_Task ) is 
   begin
      null;
   end Dispatched_Dump;




end Tasks;
