------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------





with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Task_Set;
use Task_Set;
use Task_Set.Generic_Task_Set;

with Io_Definitions;
use Io_Definitions;

with Text_Io;
use Text_Io;

with Offsets;
use Offsets;

procedure Write_Task is 


   Offset : Offset_Table;  
   Tasks1,  
   Tasks2 : Tasks_Set;  

   Cpu : Unbounded_String := To_Unbounded_String ("cpu");  


begin

   Initialize(Offset);

   Add_Task(Tasks1, To_Unbounded_String("T1"), Cpu, 1, 5, 12, 0, 0, 0, 1,
      Offset);
   Add_Task(Tasks1, To_Unbounded_String("T2"), Cpu, 2, 2, 6, 7, 0, 0, 1,
      Offset);
   Add_Task(Tasks1, To_Unbounded_String("T3"), Cpu, 3, 5, 0, 1, 0, 0, 1,
      Offset);
   Add_Task(Tasks1, To_Unbounded_String("T4"), Cpu, 4, 5, 10, 1, 1, 0, 1,
      Offset);

   Dump(Tasks1);

   Write_To_File(Tasks1,To_Unbounded_String("task.cheddar"),
      Save_In_New_File);

   Add_Task(Tasks2, To_Unbounded_String("T5"), Cpu, 4, 5, 10, 1, 1, 0, 1,
      Offset);

   New_Line;
   Dump(Tasks2);

   Write_To_File(Tasks2,To_Unbounded_String("task.cheddar"),
      Append_To_Old_File);


end  Write_Task;

