------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------





with Unbounded_Strings;
use  Unbounded_Strings;


package body Translate is


begin

   ----------------------------------------------------
   -- Labels common on every languages
   ----------------------------------------------------
   Lb_Point:=To_Unbounded_String(". ");
   Lb_Colon:=To_Unbounded_String(" : ");
   Lb_Minus:=To_Unbounded_String("- ");


   ----------------------------------------------------
   -- 	Texte Francais
   ----------------------------------------------------

   Lb_Cancel(Francais):=To_Unbounded_String("Annuler");
   Lb_See(Francais):=To_Unbounded_String("cf. ");
   Lb_Equation(Francais):=To_Unbounded_String("quation ");
   Lb_Theorem(Francais):=To_Unbounded_String("thorme ");
   Lb_No_Implem(Francais):=To_Unbounded_String("Pas implment");


   Lb_Root_Title(Francais) := To_Unbounded_String(
      "Cheddar : un simulateur d'ordonnancement temps rel");
   Lb_File(Francais) := To_Unbounded_String("Fichier");
   Lb_New(Francais) := To_Unbounded_String("Nouveau");
   Lb_Open(Francais) := To_Unbounded_String("Ouvrir");
   Lb_Save(Francais) := To_Unbounded_String("Sauvegarder");
   Lb_Save_As(Francais) := To_Unbounded_String("Sauvegarder sous");
   Lb_Exit(Francais) := To_Unbounded_String("Quitter");
   Lb_Edit(Francais) := To_Unbounded_String("Edition");
   Lb_View(Francais) := To_Unbounded_String("Afficher");
   Lb_Open_File(Francais):=To_Unbounded_String("Ouverture un projet");
   Lb_Save_File(Francais):=To_Unbounded_String("Sauvegarder un projet");
   Lb_Tools(Francais) := To_Unbounded_String("Outils");
   Lb_Clear(Francais) := To_Unbounded_String(
      "Nettoyer l'espace de travail");
   Lb_Draw(Francais) := To_Unbounded_String("Tracer l'ordonnancement");
   Lb_Check(Francais) := To_Unbounded_String("Contrler la faisabilit");
   Lb_Help(Francais) := To_Unbounded_String("Aide");
   Lb_Manual(Francais) := To_Unbounded_String("Manuel");
   Lb_Ref(Francais) := To_Unbounded_String("Rfrences bibliographiques");
   Lb_About(Francais) := To_Unbounded_String("A propos de Cheddar");
   Lb_About_Text(Francais) :=
      To_Unbounded_String("Cheddar 1.1 ") & Unbounded_Lf &
      Unbounded_Lf  &
      To_Unbounded_String("Cheddar est un outil de simulation ")  &
      Unbounded_Lf &
      To_Unbounded_String("conu principalement  titre pdagogique");
   Lb_About_Text(Francais):=Lb_About_Text(English) & Unbounded_Lf &
      Unbounded_Lf &
      To_Unbounded_String(
      "Cheddar est maintenu par l'quipe LIMI/EA2215") &
      Unbounded_Lf
      & Unbounded_Lf &
      To_Unbounded_String(
      "Cf. http:://beru.univ-brest.fr/~singhoff/cheddar pour de plus amples dtails") &
      Unbounded_Lf;



   Lb_Update_Task(Francais):=To_Unbounded_String("Mise  jour des tches");
   Lb_Update_Processor(Francais):=To_Unbounded_String(
      "Mise  jour des processeurs");


   Lb_Invalid_Priority(Francais):=
      To_Unbounded_String("Valeur de priorit incorrecte");
   Lb_Mandatory(Francais):=To_Unbounded_String(
      " est obligatoire");
   Lb_Already_Defined(Francais):=To_Unbounded_String(
      " dj dfini");
   Lb_Must_Be(Francais):=To_Unbounded_String(
      " doit tre ");
   Lb_Must_Be_Numeric(Francais):=To_Unbounded_String(
      " doit tre numrique");
   Lb_Capacity(Francais):=To_Unbounded_String("Capacit");
   Lb_Task_Name(Francais):=To_Unbounded_String("Nom de la tche");
   Lb_Deadline(Francais):=To_Unbounded_String("Echance");
   Lb_Period(Francais):=To_Unbounded_String("Priode");
   Lb_Jitter(Francais):=To_Unbounded_String("Gigue");
   Lb_Priority(Francais):=To_Unbounded_String("Priorit");
   Lb_Start_Time(Francais):=To_Unbounded_String("Arrive");
   Lb_Offset_Val(Francais):=To_Unbounded_String("Val. offset");
   Lb_Values(Francais):=To_Unbounded_String("Valeurs");
   Lb_Add_Task(Francais):=To_Unbounded_String("Ajouter une tche");


   Lb_Tasks_List(Francais):=To_Unbounded_String("Liste des tches");
   Lb_Processors_List(Francais):=To_Unbounded_String(
      "Liste des processeurs");


   Lb_Processor_Name(Francais):=To_Unbounded_String("Nom du processeur");
   Lb_Processor(Francais):=To_Unbounded_String("Processeur ");
   Lb_Scheduler(Francais):=To_Unbounded_String("Ordonnanceur");
   Lb_Option (Francais):=To_Unbounded_String("Option");
   Lb_Preemptive(Francais):=To_Unbounded_String("Premptif");
   Lb_Not_Preemptive(Francais):=To_Unbounded_String("Non premptif");
   Lb_Add_Processor(Francais):=To_Unbounded_String(
      "Ajouter un processeur");


   Lb_Parameter(Francais):=To_Unbounded_String("Le paramtre ");
   Lb_Schedule_From_To(Francais):=To_Unbounded_String(
      "Ordonnancer  partir de 0 jusqu' : ");
   Lb_Delete_Task(Francais):=To_Unbounded_String("Supprimer une tche");
   Lb_Delete_Processor(Francais):=To_Unbounded_String(
      "Supprimer un processeur");
   Lb_Give_Task_Name(Francais):=To_Unbounded_String("Nom de la tche : ");
   Lb_Give_Processor_Name(Francais):=To_Unbounded_String(
      "Nom du processeur : ");


   Lb_Task_Not_Found(Francais):=To_Unbounded_String("Tche inconnue");
   Lb_Processor_Not_Found(Francais):=To_Unbounded_String(
      "Processeur inconnu");
   Lb_Define_Tasks_Before(Francais):=To_Unbounded_String(
      "Dfinir une tche d'abord");
   Lb_Define_Processors_Before(Francais):=To_Unbounded_String(
      "Dfinir un processeur d'abord");


   Lb_Free_Unit_Time(Francais):=To_Unbounded_String(
      " units de temps sont libres sur la priode d'tude.");
   Lb_Utilization_With_Period(Francais):=To_Unbounded_String(
      "- Le taux d'utilisation calcul avec les priodes est de ");
   Lb_Utilization_With_Deadline(Francais):=To_Unbounded_String(
      "- Le taux d'utilisation calcul avec les chances est de ");
   Lb_Utilization_Bound(Francais):=To_Unbounded_String(
      "- Dans le cas premptif, les tches sont ordonnanables si le taux d'utilisation du processeur est infrieur ou gal  la borne : ");
   Lb_Task_Response_Time(Francais):=To_Unbounded_String(
      "- Temps de rponse des tches : ");
   Lb_Scheduling_Period(Francais):=To_Unbounded_String(
      "- La priode d'tude est ");
   Lb_No_Missed_Deadline(Francais):=To_Unbounded_String(
      "Pas d'chance manque pour l'ordonnancement dessin.");
   Lb_Number_Of_Preemption(Francais):=To_Unbounded_String(
      "Nombre de premption : ");


   Lb_Compute_Error_1(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tche : l'ordonnanceur slectionne est incompatible.");
   Lb_Compute_Error_2(Francais):=To_Unbounded_String(
      "- Tches non priodiques : impossible de calculer la priode d'tude avec ce jeu de tches.");
   Lb_Compute_Error_3(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tche : impossible de calculer la priode d'tude avec ce jeu de tches.");
   Lb_Compute_Error_4(Francais):=To_Unbounded_String(
      "- Tches avec priodes diffrentes des chances : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_5(Francais):=To_Unbounded_String(
      "- Tches non priodiques : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_6(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tche : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_7(Francais):=To_Unbounded_String(
      "- Taux d'utilisation trp lev : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_8(Francais):=To_Unbounded_String(
      "- Erreur interne : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_9(Francais):=To_Unbounded_String(
      "- Tches non priodiques : impossible de calculer un taux d'utilisation avec ce jeu de tches.");
   Lb_Compute_Error_10(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tches : impossible de calculer un taux d'utilisation avec ce jeu de tches.");
   Lb_Compute_Error_11(Francais):=To_Unbounded_String(
      "- Tches avec priorit identique : l'ordonnanceur slectionne est incompatible.");
   Lb_Compute_Error_12(Francais):=To_Unbounded_String(
      "- Tches avec date d'arrive >  zro : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_13(Francais):=To_Unbounded_String(
      "- Tches avec offset diffrents de zro : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_14(Francais):=To_Unbounded_String(
      "- Tches avec priodes diffrentes des chances : l'ordonnanceur slectionn est incompatible.");
   Lb_Compute_Error_15(Francais):=To_Unbounded_String(
      "- Tches non priodiques : l'ordonnanceur slectionn est incompatible.");


   Lb_Check_Deadline(Francais):=To_Unbounded_String(
      " a rat son chance (chance = ");
   Lb_Periodic(Francais):=To_Unbounded_String("La tche priodique ");
   Lb_Aperiodic(Francais):=To_Unbounded_String("La tche apriodique ");
   Lb_Completion_Time(Francais):=To_Unbounded_String(" ; terminaison = ");


   Lb_Not_Saved(Francais):=To_Unbounded_String(
      "Attention : le projet n'est pas sauvegard");
   Lb_Can_Not_Open(Francais):=To_Unbounded_String(
      "Impossible de lire le projet");
   Lb_Can_Not_Save(Francais):=To_Unbounded_String(
      "Impossible de sauvegarder le projet");


   Lb_Buffer_Utilization(Francais):=To_Unbounded_String(
      "Occupation du tampon : ");



   ----------------------------------------------------
   -- 	English text
   ----------------------------------------------------

   Lb_Cancel(English):=To_Unbounded_String("Cancel");
   Lb_See(English):=To_Unbounded_String("see ");
   Lb_Equation(English):=To_Unbounded_String("equation ");
   Lb_Theorem(English):=To_Unbounded_String("theorem ");
   Lb_No_Implem(English):=To_Unbounded_String("Not implemented");


   Lb_Root_Title(English) := To_Unbounded_String(
      "Cheddar : a real time scheduling simulator");
   Lb_File(English) := To_Unbounded_String("File");
   Lb_New(English) := To_Unbounded_String("New");
   Lb_Open(English) := To_Unbounded_String("Open");
   Lb_Save(English) := To_Unbounded_String("Save");
   Lb_Save_As(English) := To_Unbounded_String("Save as");
   Lb_Exit(English) := To_Unbounded_String("Exit");
   Lb_Edit(English) := To_Unbounded_String("Edit");
   Lb_View(English) := To_Unbounded_String("View");
   Lb_Open_File(English):=To_Unbounded_String("Open project");
   Lb_Save_File(English):=To_Unbounded_String("Save project");
   Lb_Tools(English) := To_Unbounded_String("Tools");
   Lb_Clear(English) := To_Unbounded_String("Clear work space");
   Lb_Draw(English) := To_Unbounded_String("Draw scheduling");
   Lb_Check(English) := To_Unbounded_String("Check scheduling");
   Lb_Help(English) := To_Unbounded_String("Help");
   Lb_Manual(English) := To_Unbounded_String("Manual");
   Lb_Ref(English) := To_Unbounded_String("Scheduling references");
   Lb_About(English) := To_Unbounded_String("About Cheddar");
   Lb_About_Text(English) :=
      To_Unbounded_String("Cheddar 1.1 ") & Unbounded_Lf &
      Unbounded_Lf  &
      To_Unbounded_String("Cheddar is a real time scheduling tool")  &
      Unbounded_Lf &
      To_Unbounded_String("designed for Educational Purpose");
   Lb_About_Text(English):=Lb_About_Text(English) & Unbounded_Lf &
      Unbounded_Lf &
      To_Unbounded_String(
      "Cheddar is maintened by the LIMI Team/EA2215") &
      Unbounded_Lf
      & Unbounded_Lf &
      To_Unbounded_String(
      "See : http:://beru.univ-brest.fr/~singhoff/cheddar for more details") &
      Unbounded_Lf;



   Lb_Update_Task(English):=To_Unbounded_String("Update tasks");
   Lb_Update_Processor(English):=To_Unbounded_String("Update processors");


   Lb_Invalid_Priority(English):=
      To_Unbounded_String("Invalid priority value");
   Lb_Mandatory(English):=To_Unbounded_String(
      " is mandatory");
   Lb_Already_Defined(English):=To_Unbounded_String(
      " already defined");
   Lb_Must_Be(English):=To_Unbounded_String(
      " must be ");
   Lb_Must_Be_Numeric(English):=To_Unbounded_String(" must be numeric");
   Lb_Capacity(English):=To_Unbounded_String("Capacity");
   Lb_Task_Name(English):=To_Unbounded_String("Task name");
   Lb_Deadline(English):=To_Unbounded_String("Deadline");
   Lb_Period(English):=To_Unbounded_String("Period");
   Lb_Jitter(English):=To_Unbounded_String("Jitter");
   Lb_Priority(English):=To_Unbounded_String("Priority");
   Lb_Start_Time(English):=To_Unbounded_String("Start time");
   Lb_Offset_Val(English):=To_Unbounded_String("Offset val.");
   Lb_Offset_Act(English):=To_Unbounded_String("Offset act.");
   Lb_Values(English):=To_Unbounded_String("Values");
   Lb_Add_Task(English):=To_Unbounded_String("Add a task");


   Lb_Tasks_List(English):=To_Unbounded_String("List tasks");
   Lb_Processors_List(English):=To_Unbounded_String("List processors");


   Lb_Processor_Name(English):=To_Unbounded_String("Processor name");
   Lb_Processor(English):=To_Unbounded_String("Processor ");
   Lb_Scheduler(English):=To_Unbounded_String("Scheduler");
   Lb_Option(English):=To_Unbounded_String("Option");
   Lb_Preemptive(English):=To_Unbounded_String("Preemptive");
   Lb_Not_Preemptive(English):=To_Unbounded_String("Not preemptive");
   Lb_Add_Processor(English):=To_Unbounded_String("Add a processor");


   Lb_Parameter(English):=To_Unbounded_String("Parameter ");
   Lb_Schedule_From_To(English):=To_Unbounded_String(
      "Schedule from 0 to : ");
   Lb_Delete_Task(English):=To_Unbounded_String("Delete a task");
   Lb_Delete_Processor(English):=To_Unbounded_String("Delete a processor");
   Lb_Give_Task_Name(English):=To_Unbounded_String("Give task name : ");
   Lb_Give_Processor_Name(English):=To_Unbounded_String(
      "Give processor name : ");


   Lb_Task_Not_Found(English):=To_Unbounded_String("Task not found");
   Lb_Processor_Not_Found(English):=To_Unbounded_String(
      "Processor not found");
   Lb_Define_Tasks_Before(English):=To_Unbounded_String(
      "Define a task before");
   Lb_Define_Processors_Before(English):=To_Unbounded_String(
      "Define a processor before");


   Lb_Free_Unit_Time(English):=To_Unbounded_String(
      " units of time are unused in the base period.");
   Lb_Utilization_With_Period(English):=To_Unbounded_String(
      "- Processor utilization with period is ");
   Lb_Utilization_With_Deadline(English):=To_Unbounded_String(
      "- Processor utilization with deadline is ");
   Lb_Utilization_Bound(English):=To_Unbounded_String(
      "- In the preemptive case, tasks are schedulable if processor utilization with period is equal or less than ");
   Lb_Task_Response_Time(English):=To_Unbounded_String(
      "- Tasks response time : ");
   Lb_Scheduling_Period(English):=To_Unbounded_String(
      "- The base period is ");
   Lb_No_Missed_Deadline(English):=To_Unbounded_String(
      "No deadline missed in the drawn scheduling.");
   Lb_Number_Of_Preemption(English):=To_Unbounded_String(
      "Number of preemption : ");


   Lb_Compute_Error_1(English):=To_Unbounded_String(
      "- Task model error : can not apply the selected scheduler with this task set.");
   Lb_Compute_Error_2(English):=To_Unbounded_String(
      "- Tasks must be periodic : can not compute base period with this task set. ");
   Lb_Compute_Error_3(English):=To_Unbounded_String(
      "- Task model error : can not compute base period with this task set. ");
   Lb_Compute_Error_4(English):=To_Unbounded_String(
      "- Tasks must have period equal to deadline : can not compute response time with this task set. ");
   Lb_Compute_Error_5(English):=To_Unbounded_String(
      "- Tasks must be periodic : can not compute response time with this task set.");
   Lb_Compute_Error_6(English):=To_Unbounded_String(
      "- Task model error : can not compute response time with this task set.");
   Lb_Compute_Error_7(English):=To_Unbounded_String(
      "- Processor utilization exceeded : can not compute response time with this task set. ");
   Lb_Compute_Error_8(English):=To_Unbounded_String(
      "- Internal Error : can not compute response time with this task set.");
   Lb_Compute_Error_9(English):=To_Unbounded_String(
      "- Tasks must be periodic : can not compute processor utilization with this task set. ");
   Lb_Compute_Error_10(English):=To_Unbounded_String(
      "- Task model error : can not compute processor utilization with period. ");
   Lb_Compute_Error_11(English):=To_Unbounded_String(
      "- Several tasks have same priority level : can not apply the selected scheduler with this task set.");
   Lb_Compute_Error_12(English):=To_Unbounded_String(
      "- Task with non zero start time : can not compute response time with this task set.");
   Lb_Compute_Error_13(English):=To_Unbounded_String(
      "- Task with non zero offset : can not compute response time with this task set.");
   Lb_Compute_Error_14(English):=To_Unbounded_String(
      "- Task must have period equal to deadline : can not apply the selected scheduler with this task set. ");
   Lb_Compute_Error_15(English):=To_Unbounded_String(
      "- Task must be periodic : can not apply the selected scheduler with this task set. ");



   Lb_Check_Deadline(English):=To_Unbounded_String(
      " missed its deadline (deadline = ");
   Lb_Periodic(English):=To_Unbounded_String("Periodic task ");
   Lb_Aperiodic(English):=To_Unbounded_String("Aperiodic task ");
   Lb_Completion_Time(English):=To_Unbounded_String(
      " ; completion time = ");


   Lb_Not_Saved(English):=To_Unbounded_String(
      "Warning : the project is not saved");
   Lb_Can_Not_Open(English):=To_Unbounded_String(
      "Can not open project files");
   Lb_Can_Not_Save(English):=To_Unbounded_String(
      "Can not save project files");


   Lb_Buffer_Utilization(English):=To_Unbounded_String(
      "Buffer utilization : ");

end Translate;

