------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Text_Io;
use Text_Io;

with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;



package body Tables is



   procedure Initialize (
         A_Table :    out Table ) is 
   begin
      for I in Table_Range loop
         Initialize(A_Table(I).Data);
      end loop;
   end Initialize;


   procedure Dump (
         A_Item : in     Item ) is 
   begin
      Put ("Data ");
      Put (A_Item.Data);
      Put_Line  (" : " & To_String(A_Item.Task_Item.Name));
   end Dump;


   procedure Dump (
         A_Table : in     Table ) is 
   begin
      for I in Table_Range loop
         Dump(A_Table(I));
      end loop;
   end Dump;


end Tables;



