------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Tasks;
use Tasks;


generic
   type Element is private; 
   Size : Natural := 100;  
   with procedure Put (
         E : in     Element ); 
   with procedure Initialize (
         E :    out Element ); 

package Tables is


   type Table_Range is new Natural range 0 .. Size; 


   type Item is tagged 
      record 
         Data      : Element;  
         Task_Item : Task_Ptr;  
      end record; 

   type Table is array (Table_Range) of Item; 


   procedure Dump (
         A_Item : in     Item ); 

   procedure Dump (
         A_Table : in     Table ); 

   procedure Initialize (
         A_Table :    out Table ); 

end Tables;



